Redmine - Feature #38134

Drop Ruby 2.6 support
2022-12-28 07:36 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version: 5.1.0

Resolution: Fixed

Description

The normal maintenance phase of Ruby 2.7 ended on 2022-04-22 (see
https://www.ruby-lang.org/en/news/2022/04/12/ruby-2-7-6-released/). And some gems dropped the support for Ruby 2.7.

Redmine currently supports Ruby 2.6, but this prevents us from updating some gems such as Rouge and Capybara.

Related issues:
Related to Redmine - Feature #38099: Add Ruby 3.2 support Closed
Related to Redmine - Defect #31834: redmine:email:receive_imap broken with ru... Closed

Associated revisions

Revision 22053 - 2023-01-17 01:23 - Go MAEDA
Drop Ruby 2.6 support (#38134).

Revision 22054 - 2023-01-17 02:31 - Go MAEDA
Ruby 2.7: Fix RuboCop offense Style/ArgumentsForwarding (#38134).

Revision 22055 - 2023-01-17 02:38 - Go MAEDA
Ruby 2.7: Fix RuboCop offense Performance/MapCompact (#38134).

Revision 22056 - 2023-01-17 02:40 - Go MAEDA
Ruby 2.7: Fix RuboCop offense Performance/BindCall (#38134).

Revision 22057 - 2023-01-17 02:46 - Go MAEDA
Set RuboCop TargetRubyVersion to 2.7 (#38134).

History

#1 - 2022-12-28 07:37 - Go MAEDA

- Tracker changed from Patch to Feature

#2 - 2023-01-15 06:24 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

We have to update Nokogiri to 1.14.0 to support Ruby 3.2. However, Nokogiri 1.14.0 ended support for Ruby 2.6. Therefore, Redmine cannot
continue to support Ruby 2.6 any longer.

#3 - 2023-01-15 06:25 - Go MAEDA
- Related to Feature #38099: Add Ruby 3.2 support added

#4 - 2023-01-15 08:41 - Go MAEDA
Go MAEDA wrote:

We have to update Nokogiri to 1.14.0 to support Ruby 3.2. However, Nokogiri 1.14.0 ended support for Ruby 2.6. Therefore, Redmine cannot
continue to support Ruby 2.6 any longer.
https://www.ruby-lang.org/en/news/2022/04/12/ruby-2-7-6-released/

Sorry, this is wrong. The trunk r22043 and later supports Ruby 3.2. This is because the Gemfile is written to use Nokogiri 1.13.10 only when Ruby 2.6
is used.

#5 - 2023-01-15 08:46 - Go MAEDA
Now Ruby 2.6 prevent us from upgrading Rouge.

For Rouge, | don't want to adopt the solution of installing different versions depending on the version of Ruby because the supported languages for
syntax highlighting change depending on the installed Ruby. This is confusing for users.

#6 - 2023-01-15 08:47 - Go MAEDA
- File drop-ruby-2_6.patch added

#7 - 2023-01-17 00:40 - Go MAEDA

SQLite3 also ended support for Ruby 2.6.
https:/github.com/sparklemotion/sqlite3-ruby/blob/master/ CHANGELOG.md#160--2023-01-13

#8 - 2023-01-17 02:48 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Redmine now supports Ruby 2.7, 3.0, 3,1, and 3.2.

#9 - 2024-01-27 04:41 - Go MAEDA
- Related to Defect #31834: redmine:email:receive_imap broken with ruby < 2.6.3 and Google Imap added

Files

drop-ruby-2_6.patch 1.45 KB 2023-01-15 Go MAEDA

2025-05-02 22


https://www.redmine.org/projects/redmine/repository/svn/revisions/22043
https://github.com/sparklemotion/sqlite3-ruby/blob/master/CHANGELOG.md#160--2023-01-13
http://www.tcpdf.org

